Debian Bug report logs - #701174
ITP: haskell-pointedlist -- zipper-like comonad which works as a list, tracking a position

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Masayuki Hatta <mhatta@gmail.com>

Date: Fri, 22 Feb 2013 12:33:02 UTC

Owned by: Masayuki Hatta <mhatta@gmail.com>

Severity: wishlist

Fixed in version haskell-pointedlist/0.4.0.4-1

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#701174; Package wnpp. (Fri, 22 Feb 2013 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Masayuki Hatta <mhatta@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 22 Feb 2013 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Masayuki Hatta <mhatta@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: haskell-pointedlist -- zipper-like comonad which works as a list, tracking a position
Date: Fri, 22 Feb 2013 21:29:28 +0900
Package: wnpp
Severity: wishlist
Owner: Masayuki Hatta <mhatta@gmail.com>

* Package name    : haskell-pointedlist
  Version         : 0.4.0.4
  Upstream Author : Jeff Wheeler <jeffwheeler@gmail.com>
* URL             : http://hackage.haskell.org/package/pointedlist-0.4.0.4
* License         : BSD
  Programming Lang: Haskell
  Description     : zipper-like comonad which works as a list, tracking a position

This Haskell library provides PointedList, which tracks the position in a 
non-empty list which works similarly to a zipper. A current item is always 
required, and therefore the list may never be empty. A circular PointedList 
wraps around to the other end when progressing past the actual edge.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 10:03:20 GMT) Full text and rfc822 format available.

Notification sent to Masayuki Hatta <mhatta@gmail.com>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 10:03:20 GMT) Full text and rfc822 format available.

Message #12 received at 701174-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 701174-close@bugs.debian.org
Subject: Bug#701174: fixed in haskell-pointedlist 0.4.0.4-1
Date: Fri, 12 Apr 2013 10:00:07 +0000
Source: haskell-pointedlist
Source-Version: 0.4.0.4-1

We believe that the bug you reported is fixed in the latest version of
haskell-pointedlist, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701174@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated haskell-pointedlist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Feb 2013 20:42:12 +0900
Source: haskell-pointedlist
Binary: libghc-pointedlist-dev libghc-pointedlist-prof libghc-pointedlist-doc
Architecture: source all amd64
Version: 0.4.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 libghc-pointedlist-dev - zipper-like comonad which works as a list, tracking a position
 libghc-pointedlist-doc - zipper-like comonad which works as a list, tracking a position.
 libghc-pointedlist-prof - zipper-like comonad which works as a list, tracking a position
Closes: 701174
Changes: 
 haskell-pointedlist (0.4.0.4-1) unstable; urgency=low
 .
   * Initial release. (closes: #701174)
   * Debianization generated by cabal-debian
Checksums-Sha1: 
 479dda16a73d2fe237d8d35634e58ee8f3bc7347 1901 haskell-pointedlist_0.4.0.4-1.dsc
 1374127c7cbd8a4800060c7677fa19178eddbefa 4483 haskell-pointedlist_0.4.0.4.orig.tar.gz
 e510c206cf50bdefc3d63862f2ff708a12606383 2283 haskell-pointedlist_0.4.0.4-1.debian.tar.gz
 4fb0dde1799a084642b503c755622f8988298bbc 40566 libghc-pointedlist-doc_0.4.0.4-1_all.deb
 9bc91eb9f57f1d4608aff0d90e46d245591d9a0b 54596 libghc-pointedlist-dev_0.4.0.4-1_amd64.deb
 6a963364033084a07033474bf5b08dbae27f58a0 51472 libghc-pointedlist-prof_0.4.0.4-1_amd64.deb
Checksums-Sha256: 
 6950be9e040b3c41d15827cee472a0a5e5c597f64f30da880f341848b91119d5 1901 haskell-pointedlist_0.4.0.4-1.dsc
 69bced0457627a75682151e19e17b58a1f2acb8577cdccc2a1f0ae6d32e9dbdb 4483 haskell-pointedlist_0.4.0.4.orig.tar.gz
 a8994a48c52eab31826dba577174d43491089876230450bdff25044f612756d3 2283 haskell-pointedlist_0.4.0.4-1.debian.tar.gz
 7ad354db0e74b2dcc77a10c489744505468d14935e96529a45f7cf6f3960f311 40566 libghc-pointedlist-doc_0.4.0.4-1_all.deb
 5db0e859ba140e97e1d46d32f6fbb7613a924daed3888de547aac8ee2cd52b5e 54596 libghc-pointedlist-dev_0.4.0.4-1_amd64.deb
 ccec8198a47a43d043d35a167e9a3455cc59da596ded44d5eb46f75672ced3b0 51472 libghc-pointedlist-prof_0.4.0.4-1_amd64.deb
Files: 
 59b7d1d979f8dcfeb545bd64f4495efa 1901 haskell extra haskell-pointedlist_0.4.0.4-1.dsc
 ee7b6fb88148f1429131cd82e097471b 4483 haskell extra haskell-pointedlist_0.4.0.4.orig.tar.gz
 6898ef2cf2447aac69b52f355602c0fb 2283 haskell extra haskell-pointedlist_0.4.0.4-1.debian.tar.gz
 41ac66b177e6969afd2ab9c255909bc6 40566 doc extra libghc-pointedlist-doc_0.4.0.4-1_all.deb
 6b62196f8c554bce78612dba086745d3 54596 haskell extra libghc-pointedlist-dev_0.4.0.4-1_amd64.deb
 c56a51b80c1bf2e0d4530d83d0da8217 51472 haskell extra libghc-pointedlist-prof_0.4.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEne7AACgkQy2+jQOcHWlT6JwCdEQPAkAvgzNrJu9djb5BakB5n
7VkAn1huzzJMnff9+Pn1tSGU5e9nPt+Y
=my1+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:11:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.